using System.IO.Ports;
using System.Text;

namespace EjemploProgramacion
{
    internal class Program
    {      
        static void Main(string[] args)
        {
            SerialPort serialPort = new SerialPort();

            serialPort.PortName = "COM1"; //Establecer nombre del puerto serie
            serialPort.BaudRate = 38400; //Establecer la velocidad del puerto

            serialPort.Open(); //Abrir puerto serie

            serialPort.Write(Encoding.ASCII.GetString(new byte[] { 27, 97, 1 })); //Centrar el texto //Se utiliza Write para enviar un comando en formato de array de bytes.
            serialPort.WriteLine("Hola mundo!"); //WriteLine tiene la misma funcion que Write, pero al terminar de escribir pasa automaticamente a la siguiente linea.

            for (int i = 0; i < 4; i++)
            {
                serialPort.WriteLine(""); //Se puede utilizar en blanco para saltarse lineas
            }
             
            serialPort.Write(Encoding.ASCII.GetString(new byte[] { 29, 86, 0 })); //Cortar papel

            serialPort.Close(); //Cerrar puerto serie
        }
    }
}
